<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.File"
	import="net.sf.basedb.core.RawBioAssay"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
final String varSearchHome = ExtensionsControl.getHomeUrl("net.sf.basedb.varsearch.lucene-column");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	
	int fileId = Values.getInt(request.getParameter("fileId"));
	int itemId = Values.getInt(request.getParameter("itemId"));
	String mode = Values.getString(request.getParameter("mode"), "variant-call");
	boolean genotypeMode = "genotype".equals(mode);
	
	RawBioAssay vcall = RawBioAssay.getById(dc, itemId);
	String title = (genotypeMode ? "Genotype summary: " : "Variant summary: ")+vcall.getName();
%>
<base:page type="popup" title="<%=genotypeMode?"View genotypes" : "View variants"%>">
<base:head scripts="~view_variants.js,~../reggie-2.js" styles="path.css,~../css/reggie-2.css">

<style>

#snp-table th
{
	text-align: left;
	padding: 2px 4px;
	border-right-width: 0;
}

#snp-table td
{
	padding: 1px 4px;
}

#snp-table .snp
{
	border-bottom-style: dotted;
	border-bottom-width: 1px;
}

#snp-table .ref, #snp-table .gt
{
	text-align: center;
	white-space: nowrap;
}

#snp-table .zoom img
{
	width: 16px;
	height: 16px;
}

#snp-table .is-variant
{
	font-weight: bold;
}

#snp-table .no-data
{
	color: #999999;
}

</style>

</base:head>
<base:body data-read-only="1">
	<h1><%=HTML.encodeTags(title) %></h1>

	<div id="page-data" class="datacontainer"
		data-file-id="<%=fileId%>"
		data-item-id="<%=itemId%>"
		data-mode="<%=mode%>"
		data-varsearch-home="<%=varSearchHome == null?"":varSearchHome%>"
	></div>
	
	<form name="reggie" id="wizard" class="wizard">
	<div class="content bottomborder">
		<table id="sample-summary" class="fullform input100 bottomborder" style="height:auto;">
		<tbody>
		<tr>
			<th>Bioassay</th>
			<td><%=HTML.encodeTags(vcall.getName())%></td>
		</tr>
		<%
		if (genotypeMode)
		{
			%>
			<tr>
				<th>Target</th>
				<td><span id="targeted-genotype"></span></td>
			</tr>
			<tr>
				<th>Genotypes</th>
				<td><span id="snp-count"></span></td>
			</tr>
			<%
		}
		else
		{
			%>
			<tr>
				<th>Variants</th>
				<td><span id="snp-count"></span></td>
			</tr>
			<%
		}
		%>
		<tr>
			<th>Comment</th>
			<td><%=HTML.encodeTags(vcall.getDescription())%></td>
		</tr>
		</tbody>
		</table>
		
		<table id="snp-table" style="display:none; width: 100%;">
		<tr class="bottomborder bg-filled-100">
			<th>Location</th>
			<th class="dottedleft ref">Ref › Alt</th>
			<th class="dottedleft">Type</th>
			<th class="dottedleft">Gene</th>
			<th class="dottedleft gt">GT</th>
			<th class="dottedleft ad" title="Allelic depths for the ref and alt alleles">AD</th>
			<th class="dottedleft">HGVS.c</th>
			<th class="dottedleft">HGVS.p</th>
			<th class="dottedleft">COSMIC</th>
			<th class="dottedleft">dbSNP</th>
			<th></th>
		</tr>
		<tbody id="snp-list"></tbody>
		</table>

		<div id="wizard-status"></div>
	</div>	
	</form>
	
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button id="close" title="Close" />
	</base:buttongroup>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>