<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.Item"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~define.js" 
	styles="path.css,~../css/reggie-2.css"
	>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Define sample outtake" 
		/></p:path>

	<div id="page-data" class="datacontainer"
		data-extract-type="<%=Item.EXTRACT.getValue()%>"
	></div>

	<div class="content">

	<form name="reggie" id="wizard" class="wizard">
	
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select a source item list</div>
		<div class="step-content">
	
			<table class="step-form">
			<tr>
				<td class="prompt">Outtake name</td>
				<td class="input"><input type="text" name="outtakeName" id="outtakeName"
					class="auto-init required" data-auto-init="focus-on-enter" data-next-focus="outtakeType"
					maxlength="255"></td>
				<td class="status" id="outtakeName.status"></td>
				<td class="help">
					<span id="outtakeName.message" class="message"></span>
					Specify a name for this outtake. This will become the name
					of the item list with aliquots.
				</td>
			</tr>
			<tr>
				<td class="prompt">Outtake type</td>
				<td class="input">
					<select name="outtakeType" id="outtakeType" class="required auto-init"
						data-auto-init="focus-on-enter" data-next-focus="sourceList.select"
						style="width: 10em;">
						<option value="DNA">DNA
						<option value="RNA">RNA
						<option value="LYSATE">Lysate
						<option value="FLOWTHROUGH">FlowThrough
					</select>
				</td>
				<td class="status" id="outtakeType.status"></td>
				<td class="help">
					<span id="outtakeType.message" class="message"></span>
					Select the type of items in the outtake.
				</td>
				
			</tr>
			<tr class="align-top">
				<td class="prompt">Source list</td>
				<td class="input input100">
					<base:select 
						id="sourceList"
						clazz="selectionlist"
						required="true"
						current="<%=null%>"
					/>
				</td>
				<td class="status" id="sourceList.status"></td>
				<td class="help">
					<span id="sourceList.message" class="message"></span>
					Select a source item list that contains items of the selected type.
				</td>
			</tr>
			<tbody class="info-section">
			<tr>
				<td class="prompt">List type</td>
				<td class="info" id="listType"></td>
				<td class="status" id="listType.status"></td>
				<td class="help"><span id="listType.message" class="message"></span></td>
			</tr>
			<tr>
				<td class="prompt">Number of items</td>
				<td class="info" id="listSize"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Remaining quantity</td>
				<td class="info" id="listRemainingQuantity"></td>
				<td class="status" id="listRemainingQuantity.status"></td>
				<td class="help"><span id="listRemainingQuantity.message" class="message"></span></td>
			</tr>
			<tr>
				<td class="prompt">Concentration</td>
				<td class="info" id="listConc"></td>
				<td class="status" id="listConc.status"></td>
				<td class="help"><span id="listConc.message" class="message"></span></td>
			</tr>
			</tbody>
			<tr id="targetAmountSection">
				<td class="prompt">Target amount</td>
				<td class="input"><input type="text" name="targetAmount" id="targetAmount"
					class="auto-init required" data-auto-init="focus-on-enter" data-next-focus="targetVolume"
					style="width: 8em;" maxlength="8"> µg</td>
				<td class="status" id="targetAmount.status"></td>
				<td class="help">
					<span id="targetAmount.message" class="message"></span>
					Specify the target amount in µg of RNA/DNA to take for the
					aliquots.
				</td>
			</tr>
			<tr id="targetVolumeSection">
				<td class="prompt">Target volume</td>
				<td class="input"><input type="text" name="targetVolume" id="targetVolume"
					class="auto-init required" data-auto-init="focus-on-enter" data-next-focus="comments"
					style="width: 8em;" maxlength="8"> µl</td>
				<td class="status" id="targetVolume.status"></td>
				<td class="help">
					<span id="targetVolume.message" class="message"></span>
					Specify the target volume in µl of the aliquots.
				</td>
			</tr>
			<tbody class="info-section" id="targetConcSection">
			<tr>
				<td class="prompt">Target concentration</td>
				<td class="info" id="targetConcentration"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			</tbody>
			<tr class="align-top">
				<td class="prompt">Comments</td>
				<td class="input"><textarea name="comments" id="comments" rows="6"></textarea></td>
				<td class="status" id="comments.status"></td>
				<td class="help">
					<span id="comments.message" class="message"></span>
					Comments about the outtake.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>