<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.util.formatter.DateFormatter"
	import="net.sf.basedb.util.formatter.Formatter"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.Date"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	final Formatter dateFormat = new DateFormatter("yyyyMMdd");
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~partitionform.js" 
	styles="path.css,~../css/reggie-2.css"
	>
<style>

#weightsTable
{
	width: 100%; 
	border-collapse: collapse;
}

#weightsTable th
{
	padding-left: 2px;
	padding-right: 2px;
}

#weightsTable td
{
	text-align: center;
	padding-top: 3px;
	padding-bottom: 3px;
	max-width: 30em;
	overflow: hidden;
	text-overflow: ellipsis;
}

#weightsTable td.help
{
	text-align: left;
	max-width: none;
}
#weightsTable .message
{
	float: right;
}

.old-location
{
	color: #999999;
	font-size: 80%;
}

.updated-location
{
	background-color: #FFFF00;
	font-weight: bold;
	padding: 3px;
	outline: 2px dashed #000;
	display: inline-block;
}

</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Partition registration" 
		/></p:path>

	<div class="content">

	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select specimen tubes<base:help helpid="net.sf.basedb.reggie.partition.1" /></div>
		<div class="step-content">
	
			<table class="step-form">
			<tr class="align-top" id="regularFlowRow">
				<td class="prompt">Specimen tubes
					<div style="font-weight: normal; padding-left: 0.5em;">• regular flow</div>
				</td>
				<td class="input">
					<select name="specimentubes" id="specimentubes" multiple size="12" class="yellow-label-support"></select></td>
				<td class="status" id="specimentubes.status"></td>
				<td class="help">
					<span id="specimentubes.message" class="message"></span>
					Select specimen tubes to include in the partition.<br>
					* = There is unsaved partitioning information for this tube<br>
					<base:icon image="<%=home+"/images/yellow-label.png"%>" /> = YellowLabel specimen
				</td>
			</tr>
			<tr class="align-top" id="reExtractionRow" style="display: none;">
				<td class="prompt">Specimen tubes
					<div style="font-weight: normal; padding-left: 0.5em;">
					• re-extraction<br>
					• paused<br>
					• external
					</div>
				</td>
				<td class="input">
					<select name="reextraction" id="reextraction" multiple size="12" class="yellow-label-support"></select></td>
				<td class="status" id="reextraction.status"></td>
				<td class="help">
					<span id="reextraction.message" class="message"></span>
					Select specimen tubes to include in the partition.<br>
					* = There is unsaved partitioning information for this tube
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<!-- 2. General partition information -->
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Weights and other partition information<base:help helpid="net.sf.basedb.reggie.partition.2" /></div>
		<div class="step-content">
		
			<table class="step-form">
			<tr>
				<td class="prompt">Partition date</td>
				<td class="input">
					<input type="text" name="partitionDate" id="partitionDate"
						data-disallow-future-date="1"
						value="<%=dateFormat.format(new Date()) %>" 
						class="required auto-init" data-auto-init="focus-on-enter" data-next-focus="bloody.0"
						style="width: 8em;" maxlength="10">
						<base:icon 
							id="partitionDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="partitionDate"
							data-date-format="yyyyMMdd"
							data-title="Partition date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="status" id="partitionDate.status"></td>
				<td class="help">
					<span id="partitionDate.message" class="message"></span>
					(YYYYMMDD or MMDD) The date when the partition was done.
				</td>
			</tr>
			<tr>
				<td class="prompt">Download label file</td>
				<td class="input">
					<label id="includeHisLabelsLbl"><input type="checkbox" name="includeHisLabels" checked
						id="includeHisLabels">Include Histology labels</label><br>
					<label id="includeAllHisLabelsLbl" style="display: none;"><input type="checkbox" name="includeAllHisLabels" 
						id="includeAllHisLabels">Include Histology labels for re-extraction</label>
					<div style="margin-top: 0.25em; margin-bottom: 0.5em;">
					<base:icon subclass="link" id="downloadLabelsCsv" image="<%=home + "/images/download.png"%>" 
						data-format="csv" title="Download labels as a tab-separated text file (csv)">CSV</base:icon>
					<base:icon subclass="link" id="downloadLabelsXlsx" image="<%=home + "/images/download.png"%>" 
						data-format="xlsx" title="Download lables as an Excel worksheet file (xlsx)">Excel</base:icon>
					</div>
				</td>
				<td class="status" id="downloadfile.status"></td>
				<td class="help">
					<span id="downloadfile.message" class="message"></span>
					Download label file for the selected tubes in either CSV or Excel format. 
					Histology labels are normally not created for specimen that are re-extracted, 
					but can be included by selecting the checkbox.
				</td>
			</tr>				
			</table>
				
			<div class="bg-filled-50" style="padding: 4px; border-top-width: 1px; border-style: dotted;">
				Use the table below to register appearance, weight and other properties for each specimen.
				Normally, the <i>AllPrep</i> piece has highest priority and an <i>ApWeight</i> should always be given,
				but 0 is allowed as a special case. The <i>Histology</i> piece is second in priority.
				<br>
				¹ Check the box if multiple (Mult) specimen pieces are sampled for the AllPrep piece.
			</div>
			
			<div id="weightInputs"></div>
		</div>
	</div>
		
	<div id="wizard-status"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goprint" title="Pick list&hellip;" image="<%=home+"/images/print.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>